Subject: [IPsec] I-D Action:draft-ebalard-mext-pfkey-enhanced-migrate-00.txt

From: [email-masked] (Arnaud Ebalard)
Date: Tue, 19 Aug 2008 10:03:08 +0200

Hi,

I was asked to also post the info on ipsecme, for those interested by
the topic but which are not on mext (already posted there yesterday).

> A New Internet-Draft is available from the on-line Internet-Drafts
> directories. 
>
> 	Title           : PF_KEY Extension as an Interface between
> 	                  Mobile IPv6 and IPsec/IKE 
> 	Author(s)       : A. Ebalard, S. Decugis
> 	Filename        : draft-ebalard-mext-pfkey-enhanced-migrate-00.txt
> 	Pages           : 21
> 	Date            : 2008-08-18
>
> This document describes the need for an interface between Mobile IPv6
> and IPsec/IKE and show how the two protocols can interwork.  An
> extension of the PF_KEY framework is proposed which allows smooth and
> solid operation of IKE in a Mobile IPv6 environment.
>
> This document is heavily based on a previous draft [MIGRATE] written
> by Shinta Sugimoto, Masahide Nakamura and Francis Dupont.  It simply
> reuses the MIGRATE mechanism defined in the expired document, removes
> a companion extension (SADB_X_EXT_PACKET) based on implementation
> feedback (complexity, limitations, ...) and fills the gap by very
> simple changes to MIGRATE mechanism.  This results in a more simple
> and consistent mechanism, which also proved to be easier to
> implement.  This document is expected to serve as a continuation of
> [MIGRATE] work.  For that reason, the name of the extension has been
> kept.
>
> PF_KEY MIGRATE message serves as a carrier for updated address
> information for both the in-kernel IPsec structures (SP/SA) and those
> maintained by the key managers.  This includes in-kernel SP/SA
> endpoints, key manager maintained equivalents and addresses used by
> IKE_SA (current and to be negotiated).  The extension is helpful for
> assuring smooth internetworking between Mobile IPv6 and IPsec/IKE for
> the bootstrapping of mobile nodes and their movements.
>
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-ebalard-mext-pfkey-enhanced-migrate-00.txt
>
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
>
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.

If you have comments/questions, do not hesitate.

If you are interested by implementation/test details, there is more on
the topic here: http://natisbad.org/MIPv6/ 

Cheers,

a+

_______________________________________________
IPsec mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ipsec